# PluginInterface2

## Classes
class | PluginInterface2
## Modules
| Plugins
## Enumerations
enum | PluginReceiveResult { RR_STOP_PROCESSING_AND_DEALLOCATE = 0, RR_CONTINUE_PROCESSING, RR_STOP_PROCESSING }
enum | PI2_LostConnectionReason { LCR_CLOSED_BY_USER, LCR_DISCONNECTION_NOTIFICATION, LCR_CONNECTION_LOST }
enum | PI2_FailedConnectionAttemptReason

## Enumeration Type Documentation

enum PI2_FailedConnectionAttemptReason

Returns why a connection attempt failed

enum PI2_LostConnectionReason

Reasons why a connection was lost

Enumerator:

  LCR_CLOSED_BY_USER | Called RakPeer::CloseConnection().
  LCR_DISCONNECTION_NOTIFICATION | Got ID_DISCONNECTION_NOTIFICATION.
  LCR_CONNECTION_LOST | GOT ID_CONNECTION_LOST.

enum PluginReceiveResult

For each message that arrives on an instance of RakPeer, the plugins get an opportunity to process them first. This enumeration represents what to do with the message

Enumerator:

  RR_STOP_PROCESSING_AND_DEALLOCATE | The plugin used this message and it shouldn't be given to the user.
  RR_CONTINUE_PROCESSING | This message will be processed by other plugins, and at last by the user.
  RR_STOP_PROCESSING | The plugin is going to hold on to this message. Do not deallocate it but do not pass it to other plugins either.